libetonyek::IWORKCoreImageFilterDescriptorElement Class Reference documentation

libetonyek::IWORKCoreImageFilterDescriptorElement Class Reference

`#include <IWORKCoreImageFilterDescriptorElement.h>`

Inheritance diagram for libetonyek::IWORKCoreImageFilterDescriptorElement:

## Public Member Functions
| IWORKCoreImageFilterDescriptorElement (IWORKXMLParserState &state, bool &isShadow)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextEmpty, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Private Member Functions
void | attribute (int name, const char *value) override
| Process an attribute.
void | endOfElement () override
| Signalize the end of an element.

## Private Attributes
bool & | m_isShadow

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextEmpty, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextEmpty
| IWORKXMLContextEmpty (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
IWORKXMLContextPtr_t | element (int token) override
| Create a context for parsing a child element.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
const boost::optional< ID_t > & | getRef () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextEmpty, IWORKXMLParserState >
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKCoreImageFilterDescriptorElement()

libetonyek::IWORKCoreImageFilterDescriptorElement::IWORKCoreImageFilterDescriptorElement | ( | IWORKXMLParserState & | state,
|  | bool & | isShadow )

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKCoreImageFilterDescriptorElement::attribute | ( | int | name,
|  | const char * | value )
| overrideprivatevirtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

void libetonyek::IWORKCoreImageFilterDescriptorElement::endOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_isShadow

bool& libetonyek::IWORKCoreImageFilterDescriptorElement::m_isShadow
| private

Referenced by attribute(), endOfElement(), and IWORKCoreImageFilterDescriptorElement().

The documentation for this class was generated from the following files:

- IWORKCoreImageFilterDescriptorElement.h
- IWORKCoreImageFilterDescriptorElement.cpp